/*****************************************************************************
    mf.h

    Diese Datei ist Teil des Programmpakets 'ACL-tftp'.
    Alle Rechte bei Andreas G. Schindler
                    Klappacher Str. 2i
                    64285 Darmstadt, Deutschland.

    Dieses Programm ist 'Freie Software'; Sie knnen es entsprechend den 
    Bedingungen der 'Allgemeinen ffentlichen GNU-Lizenz' (verffentlicht 
    durch die 'Free Software Foundation') weiter verbreiten und/oder 
    modifizieren. Massgeblich ist die Version 2 oder eine neuere Version
    dieser Lizenz. 

    Dieses Programm wird in der Hoffnung dass es ntzlich is weitergegeben,
    jedoch OHNE JEDE GARANTIE. Dieser Garantieauschluss bezieht sich auch
    auf Eigenschaften wie Marktfhigkeit oder Eignung zu einem bestimmten
    Zweck. Details finden sich in der 'Allgemeinen ffentlichen GNU-Lizenz'.

    Eine Kopie dieser Lizenz sollte in  Programmpaket, dem diese Datei
    entstammt, enthalten sein. Falls nicht, schreiben Sie an die 
    'Free Software Foundation, Inc.', 59 Temple Place, Suite 330, Boston, 
    MA  02111-1307  USA.


    This file is part of the 'ACL-tftp' Package
    Copyright (C) 1999-2003 by Andreas G. Schindler
                               Klappacher Str. 2i
                               Darmstadt, Germany.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*****************************************************************************/
#ifndef MF_H
#define MF_H

/* 
	ModFlags define one flag byte for each of the above globals
	The ModFlags reflect if and how the globals have been set
*/

#define MF_NONE	   1			/* empty from the start 	*/
#define MF_PRESET  2			/* preset at compile time	*/
#define MF_DEFAULT 4			/* getarg took default setting	*/
#define MF_CMD     8			/* set by command line		*/
#define MF_CONFIG  0x10			/* set by configuration		*/
#define MF_RUN	   0x20 		/* set at run time		*/

#define MFI_NONE    (MF_NONE<<8) 
#define MFI_PRESET  (MF_PRESET<<8) 
#define MFI_DEFAULT (MF_DEFAULT<<8) 
#define MFI_CMD     (MF_CMD<<8) 
#define MFI_CONFIG  (MF_CONFIG<<8)
#define MFI_RUN	    (MF_RUN<<8)

#endif /* MF_H */
